<template>
  <div>Register page</div>
</template>

<script>
import axios from 'axios'
export default {
  data () {
    return {
      name: '',
      email: '',
      password: '',
      password_confirmation: ''
    }
  },
  methods: {
    register () {
      var self = this
      axios.post(this.$apiAdress + '/api/register', {
        name: self.name,
        email: self.email,
        password: self.password,
        password_confirmation: self.password_confirmation
      }).then(function (response) {
        self.name = ''
        self.email = ''
        self.password = ''
        self.password_confirmation = ''
        console.log(response)
        self.$router.push({ path: '/login' })
      }).catch(function (error) {
        console.log(error)
      })
    }
  }
}
</script>
